Index: palm/trunk/SOURCE/chemistry_model_mod.f90
===================================================================
--- palm/trunk/SOURCE/chemistry_model_mod.f90	(revision 3847)
+++ palm/trunk/SOURCE/chemistry_model_mod.f90	(revision 3848)
@@ -3440,23 +3347,18 @@
           ENDDO
        ENDIF
-
-
-       !
-       !-- Pavement
+!
+!--    Pavement
        IF ( surf_lsm_h%frac(ind_pav_green,m) > 0 )  THEN
-
-
-          !
-          !-- No vegetation on pavements:
+!
+!--       No vegetation on pavements:
           lai = 0.0_wp
           sai = 0.0_wp
 
           slinnfac = 1.0_wp
-
-          !
-          !-- Get vd
+!
+!--       Get vd
           DO  lsp = 1, nvar
-             !
-             !-- Initialize
+!
+!--       Initialize
              vs = 0.0_wp
              vd_lu = 0.0_wp
@@ -3466,6 +3368,6 @@
              IF ( spc_names(lsp) == 'PM10' )  THEN
                 part_type = 1
-                !
-                !-- Sedimentation velocity:
+!
+!--             Sedimentation velocity:
                 vs = slinnfac * sedimentation_velocity( particle_pars(ind_p_dens, part_type), &
                      particle_pars(ind_p_size, part_type), &
@@ -3487,11 +3389,10 @@
              ELSEIF ( spc_names(lsp) == 'PM25' )  THEN
                 part_type = 2
-                !
-                !-- Sedimentation velocity:
+!
+!--             Sedimentation velocity:
                 vs = slinnfac * sedimentation_velocity( particle_pars(ind_p_dens, part_type), &
                      particle_pars(ind_p_size, part_type), &
                      particle_pars(ind_p_slip, part_type), &
                      visc)
-
 
                 CALL drydepo_aero_zhang_vd( vd_lu, Rs, &
@@ -3506,9 +3407,7 @@
                      (1.0_wp - exp(-vd_lu * dt_dh )) * dh
 
-
              ELSE  !<GASES
-
-                !
-                !-- Read spc_name of current species for gas parameter
+!
+!--             Read spc_name of current species for gas parameter
 
                 IF ( ANY(pspecnames(:) == spc_names(lsp) ) )  THEN
@@ -3521,30 +3420,28 @@
 
                 ELSE
-                   !
-                   !-- For now species not deposited
+!
+!--                For now species not deposited
                    CYCLE
                 ENDIF
-
-                !-- Factor used for conversion from ppb to ug/m3 :
-                !   ppb (mole tr)/(mole air)/ppb (kg tr)/(mole tr) (ug tr)/(kg tr) &
-                !   (mole air)/(kg air) (kg air)/(m3 air) (kg air(ug/m3)/ppb/(kg/mole) = / (kg/mole)
-                !   c           1e-9               xm_tracer         1e9       /       xm_air            dens
-                !-- thus:
-                !   c_in_ppb * xm_tracer * [ dens / xm_air ] = c_in_ugm3
-                !-- Use density at lowest layer:
+!
+!--             Factor used for conversion from ppb to ug/m3 :
+!--                 ppb (mole tr)/(mole air)/ppb (kg tr)/(mole tr) (ug tr)/(kg tr) &
+!--                 (mole air)/(kg air) (kg air)/(m3 air) (kg air(ug/m3)/ppb/(kg/mole) = / (kg/mole)
+!--                 c           1e-9               xm_tracer         1e9       /       xm_air            dens
+!--             thus:
+!--                 c_in_ppb * xm_tracer * [ dens / xm_air ] = c_in_ugm3
+!--             Use density at lowest layer:
 
                 ppm_to_ugm3 =  (dens/xm_air) * 0.001_wp  !< (mole air)/m3
-
-                !
-                !-- Atmospheric concentration in DEPAC is requested in ug/m3:
+!
+!--             Atmospheric concentration in DEPAC is requested in ug/m3:
                 !   ug/m3              ppm          (ug/m3)/ppm/(kg/mole)     kg/mole
                 catm = cc(lsp)         * ppm_to_ugm3 *   specmolm(i_pspec)  ! in ug/m3
-
-                !
-                !-- Diffusivity for DEPAC relevant gases
-                !-- Use default value 
+!
+!--             Diffusivity for DEPAC relevant gases
+!--             Use default value 
                 diffc            = 0.11e-4
-                !
-                !-- overwrite with known coefficients of diffusivity from Massman (1998)
+!
+!--             overwrite with known coefficients of diffusivity from Massman (1998)
                 IF ( spc_names(lsp) == 'NO2' ) diffc = 0.136e-4 
                 IF ( spc_names(lsp) == 'NO'  ) diffc = 0.199e-4
@@ -3554,57 +3451,40 @@
                 IF ( spc_names(lsp) == 'CH4' ) diffc = 0.191e-4
                 IF ( spc_names(lsp) == 'NH3' ) diffc = 0.191e-4
-
-
-                !
-                !-- Get quasi-laminar boundary layer resistance Rb:
-                CALL get_rb_cell( (lup_dep == ilu_water_sea) .OR. (lup_dep == ilu_water_inland), &
-                     z0h_lu, ustar_lu, diffc, &
-                     Rb )
-
-
-                !
-                !-- Get Rc_tot
-                CALL drydepos_gas_depac( spc_names(lsp), day_of_year, latitude, ts, ustar_lu, glrad, cos_zenith, &
-                     relh, lai, sai, nwet, lup_dep, 2, Rc_tot, ccomp_tot(lsp), hyp(nzb), catm, diffc, &
-                     r_aero_lu , Rb )
-
-
-                !
-                !-- Calculate budget
+!
+!--             Get quasi-laminar boundary layer resistance Rb:
+                CALL get_rb_cell( (lup_dep == ilu_water_sea) .OR. (lup_dep == ilu_water_inland),   &
+                     z0h_lu, ustar_lu, diffc, Rb )
+!
+!--             Get Rc_tot
+                CALL drydepos_gas_depac( spc_names(lsp), day_of_year, latitude, ts, ustar_lu,      &
+                                         glrad, cos_zenith, relh, lai, sai, nwet, lup_dep, 2,      &
+                                         rc_tot, ccomp_tot(lsp), hyp(nzb), catm, diffc,             &
+                                         r_aero_lu , Rb )
+!
+!--             Calculate budget
                 IF ( Rc_tot <= 0.0 )  THEN
-
                    bud_now_lup(lsp) = 0.0_wp
-
                 ELSE
-
                    vd_lu = 1.0_wp / (r_aero_lu + Rb + Rc_tot )
-
                    bud_now_lup(lsp) = - (cc(lsp) - ccomp_tot(lsp)) * &
                         (1.0_wp - exp(-vd_lu * dt_dh )) * dh
                 ENDIF
 
-
              ENDIF
           ENDDO
        ENDIF
-
-
-       !
-       !-- Water
+!
+!--    Water
        IF ( surf_lsm_h%frac(ind_wat_win,m) > 0 )  THEN
-
-
-          !
-          !-- No vegetation on water:
+!
+!--       No vegetation on water:
           lai = 0.0_wp
           sai = 0.0_wp
-
           slinnfac = 1.0_wp
-
-          !
-          !-- Get vd
+!
+!--       Get vd
           DO  lsp = 1, nvar
-             !
-             !-- Initialize
+!
+!--          Initialize
              vs = 0.0_wp
              vd_lu = 0.0_wp
@@ -3614,6 +3494,6 @@
              IF ( spc_names(lsp) == 'PM10' )  THEN
                 part_type = 1
-                !
-                !-- Sedimentation velocity:
+!
+!--             Sedimentation velocity:
                 vs = slinnfac * sedimentation_velocity( particle_pars(ind_p_dens, part_type), &
                      particle_pars(ind_p_size, part_type), &
@@ -3632,14 +3512,12 @@
                      (1.0_wp - exp(-vd_lu * dt_dh )) * dh
 
-
              ELSEIF ( spc_names(lsp) == 'PM25' )  THEN
                 part_type = 2
-                !
-                !-- Sedimentation velocity:
+!
+!--             Sedimentation velocity:
                 vs = slinnfac * sedimentation_velocity( particle_pars(ind_p_dens, part_type), &
                      particle_pars(ind_p_size, part_type), &
                      particle_pars(ind_p_slip, part_type), &
                      visc)
-
 
                 CALL drydepo_aero_zhang_vd( vd_lu, Rs, &
@@ -3654,9 +3532,7 @@
                      (1.0_wp - exp(-vd_lu * dt_dh )) * dh
 
-
              ELSE  !<GASES
-
-                !
-                !-- Read spc_name of current species for gas PARAMETER
+!
+!--             Read spc_name of current species for gas PARAMETER
 
                 IF ( ANY(pspecnames(:) == spc_names(lsp) ) )  THEN
@@ -3669,30 +3545,28 @@
 
                 ELSE
-                   !
-                   !-- For now species not deposited
+!
+!--                For now species not deposited
                    CYCLE
                 ENDIF
-
-                !-- Factor used for conversion from ppb to ug/m3 :
-                !   ppb (mole tr)/(mole air)/ppb (kg tr)/(mole tr) (ug tr)/(kg tr) &
-                !   (mole air)/(kg air) (kg air)/(m3 air) (kg air(ug/m3)/ppb/(kg/mole) = / (kg/mole)
-                !   c           1e-9               xm_tracer         1e9       /       xm_air            dens
-                !-- thus:
-                !   c_in_ppb * xm_tracer * [ dens / xm_air ] = c_in_ugm3
-                !-- Use density at lowest layer:
-
-                ppm_to_ugm3 =  (dens/xm_air) * 0.001_wp  !< (mole air)/m3
-
-                !
-                !-- Atmospheric concentration in DEPAC is requested in ug/m3:
-                !   ug/m3              ppm          (ug/m3)/ppm/(kg/mole)     kg/mole
-                catm = cc(lsp)         * ppm_to_ugm3 *   specmolm(i_pspec)  ! in ug/m3
-
-                !
-                !-- Diffusivity for DEPAC relevant gases
-                !-- Use default value 
+!
+!--             Factor used for conversion from ppb to ug/m3 :
+!--                 ppb (mole tr)/(mole air)/ppb (kg tr)/(mole tr) (ug tr)/(kg tr) &
+!--                 (mole air)/(kg air) (kg air)/(m3 air) (kg air(ug/m3)/ppb/(kg/mole) = / (kg/mole)
+!--                 c           1e-9               xm_tracer         1e9       /       xm_air            dens
+!--             thus:
+!--                 c_in_ppb * xm_tracer * [ dens / xm_air ] = c_in_ugm3
+!--             Use density at lowest layer:
+
+                ppm_to_ugm3 = (dens/xm_air) * 0.001_wp  !< (mole air)/m3
+!
+!--             Atmospheric concentration in DEPAC is requested in ug/m3:
+!--                 ug/m3        ppm          (ug/m3)/ppm/(kg/mole)     kg/mole
+                catm = cc(lsp) * ppm_to_ugm3 *  specmolm(i_pspec)  ! in ug/m3
+!
+!--             Diffusivity for DEPAC relevant gases
+!--             Use default value 
                 diffc            = 0.11e-4
-                !
-                !-- overwrite with known coefficients of diffusivity from Massman (1998)
+!
+!--             overwrite with known coefficients of diffusivity from Massman (1998)
                 IF ( spc_names(lsp) == 'NO2' ) diffc = 0.136e-4 
                 IF ( spc_names(lsp) == 'NO'  ) diffc = 0.199e-4
@@ -3702,20 +3576,16 @@
                 IF ( spc_names(lsp) == 'CH4' ) diffc = 0.191e-4
                 IF ( spc_names(lsp) == 'NH3' ) diffc = 0.191e-4
-
-
-                !
-                !-- Get quasi-laminar boundary layer resistance Rb:
-                CALL get_rb_cell( (luw_dep == ilu_water_sea) .OR. (luw_dep == ilu_water_inland), &
-                     z0h_lu, ustar_lu, diffc, &
-                     Rb )
-
-                !
-                !-- Get Rc_tot
-                CALL drydepos_gas_depac( spc_names(lsp), day_of_year, latitude, ts, ustar_lu, glrad, cos_zenith, &
-                     relh, lai, sai, nwet, luw_dep, 2, Rc_tot, ccomp_tot(lsp), hyp(nzb), catm, diffc, &
-                     r_aero_lu , Rb )
-
-
-                ! Calculate budget 
+!
+!--             Get quasi-laminar boundary layer resistance Rb:
+                CALL get_rb_cell( (luw_dep == ilu_water_sea) .OR. (luw_dep == ilu_water_inland),  &
+                     z0h_lu, ustar_lu, diffc, rb )
+
+!--             Get Rc_tot
+                CALL drydepos_gas_depac( spc_names(lsp), day_of_year, latitude, ts, ustar_lu,      &
+                                         glrad, cos_zenith, relh, lai, sai, nwet, luw_dep, 2,      &
+                                         rc_tot, ccomp_tot(lsp), hyp(nzb), catm, diffc,            &
+                                          r_aero_lu , Rb )
+!
+!--             Calculate budget 
                 IF ( Rc_tot <= 0.0 )  THEN
 
@@ -3736,15 +3606,13 @@
 
        bud_now = 0.0_wp
-       !
-       !-- Calculate overall budget for surface m and adapt concentration
+!
+!--    Calculate overall budget for surface m and adapt concentration
        DO  lsp = 1, nspec
-
 
           bud_now(lsp) = surf_lsm_h%frac(ind_veg_wall,m) * bud_now_lu(lsp) + &
                surf_lsm_h%frac(ind_pav_green,m) * bud_now_lup(lsp) + &
                surf_lsm_h%frac(ind_wat_win,m) * bud_now_luw(lsp)
-
-          !
-          !-- Compute new concentration:
+!
+!--       Compute new concentration:
           cc(lsp) = cc(lsp) + bud_now(lsp) * inv_dh
 
@@ -3754,20 +3622,14 @@
 
     ENDIF
-
-
-
-
-    !
-    !-- For USM surfaces    
+!
+!-- For USM surfaces    
 
     IF ( match_usm )  THEN
-
-       !
-       !-- Get surface element information at i,j:
+!
+!--    Get surface element information at i,j:
        m = surf_usm_h%start_index(j,i)
        k = surf_usm_h%k(m)
-
-       !
-       !-- Get needed variables for surface element m
+!
+!--    Get needed variables for surface element m
        ustar_lu  = surf_usm_h%us(m)
        z0h_lu    = surf_usm_h%z0h(m)
@@ -3776,13 +3638,11 @@
        lai = surf_usm_h%lai(m)
        sai = lai + 1
-
-       !
-       !-- For small grid spacing neglect R_a
+!
+!--    For small grid spacing neglect R_a
        IF ( dzw(k) <= 1.0 )  THEN
           r_aero_lu = 0.0_wp
        ENDIF
-
-       !
-       !-- Initialize lu's
+!
+!--    Initialize lu's
        luu_palm = 0
        luu_dep = 0
@@ -3791,18 +3651,15 @@
        lud_palm = 0
        lud_dep = 0
-
-       !
-       !-- Initialize budgets
+!
+!--    Initialize budgets
        bud_now_luu  = 0.0_wp
        bud_now_lug = 0.0_wp
        bud_now_lud = 0.0_wp
-
-
-       !
-       !-- Get land use for i,j and assign to DEPAC lu
+!
+!--    Get land use for i,j and assign to DEPAC lu
        IF ( surf_usm_h%frac(ind_pav_green,m) > 0 )  THEN
-          !
-          !-- For green urban surfaces (e.g. green roofs
-          !-- assume LU short grass
+!
+!--       For green urban surfaces (e.g. green roofs
+!--       assume LU short grass
           lug_palm = ind_lu_s_grass
           IF ( lug_palm == ind_lu_user )  THEN
@@ -3849,8 +3706,8 @@
 
        IF ( surf_usm_h%frac(ind_veg_wall,m) > 0 )  THEN
-          !
-          !-- For walls in USM assume concrete walls/roofs,
-          !-- assumed LU class desert as also assumed for
-          !-- pavements in LSM
+!
+!--       For walls in USM assume concrete walls/roofs,
+!--       assumed LU class desert as also assumed for
+!--       pavements in LSM
           luu_palm = ind_lup_conc
           IF ( luu_palm == ind_lup_user )  THEN
@@ -3891,8 +3748,8 @@
 
        IF ( surf_usm_h%frac(ind_wat_win,m) > 0 )  THEN
-          !
-          !-- For windows in USM assume metal as this is
-          !-- as close as we get, assumed LU class desert
-          !-- as also assumed for pavements in LSM
+!
+!--       For windows in USM assume metal as this is
+!--       as close as we get, assumed LU class desert
+!--       as also assumed for pavements in LSM
           lud_palm = ind_lup_metal     
           IF ( lud_palm == ind_lup_user )  THEN
@@ -3931,9 +3788,7 @@
           ENDIF
        ENDIF
-
-
-       !
-       !-- @TODO: Activate these lines as soon as new ebsolver branch is merged:
-       !-- Set wetness indicator to dry or wet for usm vegetation or pavement
+!
+!--    @TODO: Activate these lines as soon as new ebsolver branch is merged:
+!--    Set wetness indicator to dry or wet for usm vegetation or pavement
        !IF ( surf_usm_h%c_liq(m) > 0 )  THEN
        !   nwet = 1
@@ -3941,7 +3796,6 @@
        nwet = 0
        !ENDIF
-
-       !
-       !-- Compute length of time step 
+!
+!--    Compute length of time step 
        IF ( call_chem_at_all_substeps )  THEN
           dt_chem = dt_3d * weight_pres(intermediate_timestep_count)
@@ -3950,57 +3804,44 @@
        ENDIF
 
-
        dh = dzw(k)
        inv_dh = 1.0_wp / dh
        dt_dh = dt_chem/dh
-
-       !
-       !-- Concentration at i,j,k
+!
+!--    Concentration at i,j,k
        DO  lsp = 1, nspec
           cc(lsp) = chem_species(lsp)%conc(k,j,i)
        ENDDO
-
-       !
-       !-- Temperature at i,j,k
+!
+!--    Temperature at i,j,k
        ttemp = pt(k,j,i) * ( hyp(k) / 100000.0_wp )**0.286_wp
 
        ts       = ttemp - 273.15  !< in degrees celcius
-
-       !
-       !-- Viscosity of air
+!
+!--    Viscosity of air
        visc = 1.496e-6 * ttemp**1.5 / (ttemp+120.0)
-
-       !
-       !-- Air density at k
+!
+!--    Air density at k
        dens = rho_air_zw(k)
-
-       !
-       !-- Calculate relative humidity from specific humidity for DEPAC
+!
+!--    Calculate relative humidity from specific humidity for DEPAC
        qv_tmp = MAX(q(k,j,i),0.0_wp)
        relh = relativehumidity_from_specifichumidity(qv_tmp, ttemp, hyp(nzb) )
-
-
-
-       !
-       !-- Check if surface fraction (vegetation, pavement or water) > 0 and calculate vd and budget
-       !-- for each surface fraction. Then derive overall budget taking into account the surface fractions.
-
-       !
-       !-- Walls/roofs
+!
+!--    Check if surface fraction (vegetation, pavement or water) > 0 and calculate vd and budget
+!--    for each surface fraction. Then derive overall budget taking into account the surface fractions.
+!
+!--    Walls/roofs
        IF ( surf_usm_h%frac(ind_veg_wall,m) > 0 )  THEN
-
-
-          !
-          !-- No vegetation on non-green walls:
+!
+!--       No vegetation on non-green walls:
           lai = 0.0_wp
           sai = 0.0_wp
 
           slinnfac = 1.0_wp
-
-          !
-          !-- Get vd
+!
+!--       Get vd
           DO  lsp = 1, nvar
-             !
-             !-- Initialize 
+!
+!--          Initialize 
              vs = 0.0_wp
              vd_lu = 0.0_wp
@@ -4010,6 +3851,6 @@
              IF (spc_names(lsp) == 'PM10' )  THEN
                 part_type = 1
-                !
-                !-- Sedimentation velocity
+!
+!--             Sedimentation velocity
                 vs = slinnfac * sedimentation_velocity( particle_pars(ind_p_dens, part_type), &
                      particle_pars(ind_p_size, part_type), &
@@ -4028,14 +3869,12 @@
                      (1.0_wp - exp(-vd_lu * dt_dh )) * dh
 
-
              ELSEIF ( spc_names(lsp) == 'PM25' )  THEN
                 part_type = 2
-                !
-                !-- Sedimentation velocity
+!
+!--             Sedimentation velocity
                 vs = slinnfac * sedimentation_velocity( particle_pars(ind_p_dens, part_type), &
                      particle_pars(ind_p_size, part_type), &
                      particle_pars(ind_p_slip, part_type), &
                      visc)
-
 
                 CALL drydepo_aero_zhang_vd( vd_lu, Rs, &
@@ -4050,9 +3889,7 @@
                      (1.0_wp - exp(-vd_lu * dt_dh )) * dh
 
-
              ELSE  !< GASES
-
-                !
-                !-- Read spc_name of current species for gas parameter
+!
+!--             Read spc_name of current species for gas parameter
 
                 IF ( ANY( pspecnames(:) == spc_names(lsp) ) )  THEN
@@ -4064,31 +3901,29 @@
                    ENDDO
                 ELSE
-                   !
-                   !-- For now species not deposited
+!
+!--                For now species not deposited
                    CYCLE
                 ENDIF
+!
+!--             Factor used for conversion from ppb to ug/m3 :
+!--                 ppb (mole tr)/(mole air)/ppb (kg tr)/(mole tr) (ug tr)/(kg tr) &
+!--                 (mole air)/(kg air) (kg air)/(m3 air) (kg air(ug/m3)/ppb/(kg/mole) = / (kg/mole)
+!--                 c           1e-9              xm_tracer         1e9       /       xm_air            dens
+!--             thus:
+!--                 c_in_ppb * xm_tracer * [ dens / xm_air ] = c_in_ugm3
+!--             Use density at k:
+
+                ppm_to_ugm3 =  (dens/xm_air) * 0.001_wp  !< (mole air)/m3
 
                 !
-                !-- Factor used for conversion from ppb to ug/m3 :
-                !   ppb (mole tr)/(mole air)/ppb (kg tr)/(mole tr) (ug tr)/(kg tr) &
-                !   (mole air)/(kg air) (kg air)/(m3 air) (kg air(ug/m3)/ppb/(kg/mole) = / (kg/mole)
-                !   c           1e-9              xm_tracer         1e9       /       xm_air            dens
-                !-- thus:
-                !   c_in_ppb * xm_tracer * [ dens / xm_air ] = c_in_ugm3
-                !-- Use density at k:
-
-                ppm_to_ugm3 =  (dens/xm_air) * 0.001_wp  !< (mole air)/m3
-
-                !
-                !-- Atmospheric concentration in DEPAC is requested in ug/m3:
-                !   ug/m3              ppm          (ug/m3)/ppm/(kg/mole)     kg/mole
-                catm = cc(lsp)         * ppm_to_ugm3 *   specmolm(i_pspec)  ! in ug/m3
-
-                !
-                !-- Diffusivity for DEPAC relevant gases
-                !-- Use default value 
+!--             Atmospheric concentration in DEPAC is requested in ug/m3:
+!--                 ug/m3              ppm          (ug/m3)/ppm/(kg/mole)     kg/mole
+!--             catm = cc(lsp)         * ppm_to_ugm3 *   specmolm(i_pspec)  ! in ug/m3
+!
+!--             Diffusivity for DEPAC relevant gases
+!--             Use default value 
                 diffc            = 0.11e-4
-                !
-                !-- overwrite with known coefficients of diffusivity from Massman (1998)
+!
+!--             overwrite with known coefficients of diffusivity from Massman (1998)
                 IF ( spc_names(lsp) == 'NO2' ) diffc = 0.136e-4 
                 IF ( spc_names(lsp) == 'NO'  ) diffc = 0.199e-4
@@ -4098,21 +3933,17 @@
                 IF ( spc_names(lsp) == 'CH4' ) diffc = 0.191e-4
                 IF ( spc_names(lsp) == 'NH3' ) diffc = 0.191e-4
-
-
-                !
-                !-- Get quasi-laminar boundary layer resistance Rb:
-                CALL get_rb_cell( (luu_dep == ilu_water_sea) .OR. (luu_dep == ilu_water_inland), &
+!
+!--             Get quasi-laminar boundary layer resistance Rb:
+                CALL get_rb_cell( (luu_dep == ilu_water_sea) .OR. (luu_dep == ilu_water_inland),   &
                      z0h_lu, ustar_lu, diffc, &
                      Rb )
-
-                !
-                !-- Get Rc_tot
-                CALL drydepos_gas_depac( spc_names(lsp), day_of_year, latitude, ts, ustar_lu, glrad, cos_zenith, &
-                     relh, lai, sai, nwet, luu_dep, 2, Rc_tot, ccomp_tot(lsp), hyp(nzb), catm, diffc, &
-                     r_aero_lu , Rb )
-
-
-                !
-                !-- Calculate budget
+!
+!--             Get Rc_tot
+                CALL drydepos_gas_depac( spc_names(lsp), day_of_year, latitude, ts, ustar_lu,       &
+                                         glrad, cos_zenith, relh, lai, sai, nwet, luu_dep, 2,       &
+                                         rc_tot, ccomp_tot(lsp), hyp(nzb), catm, diffc,             &
+                                         r_aero_lu, rb )
+!
+!--             Calculate budget
                 IF ( Rc_tot <= 0.0 )  THEN
 
@@ -4130,18 +3961,14 @@
           ENDDO
        ENDIF
-
-
-       !
-       !-- Green usm surfaces
+!
+!--    Green usm surfaces
        IF ( surf_usm_h%frac(ind_pav_green,m) > 0 )  THEN
 
-
           slinnfac = 1.0_wp
-
-          !
-          !-- Get vd
+!
+!--       Get vd
           DO  lsp = 1, nvar
-             !
-             !-- Initialize
+!
+!--          Initialize
              vs = 0.0_wp
              vd_lu = 0.0_wp
@@ -4151,5 +3978,6 @@
              IF ( spc_names(lsp) == 'PM10' )  THEN
                 part_type = 1
-                ! Sedimentation velocity
+!
+!--             Sedimentation velocity
                 vs = slinnfac * sedimentation_velocity( particle_pars(ind_p_dens, part_type), &
                      particle_pars(ind_p_size, part_type), &
@@ -4168,13 +3996,12 @@
                      (1.0_wp - exp(-vd_lu * dt_dh )) * dh
 
-
              ELSEIF ( spc_names(lsp) == 'PM25' )  THEN
                 part_type = 2
-                ! Sedimentation velocity
+!
+!--             Sedimentation velocity
                 vs = slinnfac * sedimentation_velocity( particle_pars(ind_p_dens, part_type), &
                      particle_pars(ind_p_size, part_type), &
                      particle_pars(ind_p_slip, part_type), &
                      visc)
-
 
                 CALL drydepo_aero_zhang_vd( vd_lu, Rs, &
@@ -4189,9 +4016,7 @@
                      (1.0_wp - exp(-vd_lu * dt_dh )) * dh
 
-
              ELSE  !< GASES
-
-                !
-                !-- Read spc_name of current species for gas parameter
+!
+!--             Read spc_name of current species for gas parameter
 
                 IF ( ANY( pspecnames(:) == spc_names(lsp) ) )  THEN
@@ -4203,31 +4028,28 @@
                    ENDDO
                 ELSE
-                   !
-                   !-- For now species not deposited
+!
+!--                For now species not deposited
                    CYCLE
                 ENDIF
-
-                !
-                !-- Factor used for conversion from ppb to ug/m3 :
-                !   ppb (mole tr)/(mole air)/ppb (kg tr)/(mole tr) (ug tr)/(kg tr) &
-                !   (mole air)/(kg air) (kg air)/(m3 air) (kg air(ug/m3)/ppb/(kg/mole) = / (kg/mole)
-                !   c           1e-9               xm_tracer         1e9       /       xm_air            dens
-                !-- thus:
-                !    c_in_ppb * xm_tracer * [ dens / xm_air ] = c_in_ugm3
-                !-- Use density at k:
+!
+!--             Factor used for conversion from ppb to ug/m3 :
+!--                 ppb (mole tr)/(mole air)/ppb (kg tr)/(mole tr) (ug tr)/(kg tr) &
+!--                 (mole air)/(kg air) (kg air)/(m3 air) (kg air(ug/m3)/ppb/(kg/mole) = / (kg/mole)
+!--                 c           1e-9               xm_tracer         1e9       /       xm_air            dens
+!--             thus:
+!--                  c_in_ppb * xm_tracer * [ dens / xm_air ] = c_in_ugm3
+!--             Use density at k:
 
                 ppm_to_ugm3 =  (dens/xm_air) * 0.001_wp  ! (mole air)/m3
-
-                !
-                !-- Atmospheric concentration in DEPAC is requested in ug/m3:
+!
+!--             Atmospheric concentration in DEPAC is requested in ug/m3:
                 !   ug/m3              ppm          (ug/m3)/ppm/(kg/mole)     kg/mole
                 catm = cc(lsp)         * ppm_to_ugm3 *   specmolm(i_pspec)  ! in ug/m3
-
-                !
-                !-- Diffusivity for DEPAC relevant gases
-                !-- Use default value 
+!
+!--             Diffusivity for DEPAC relevant gases
+!--             Use default value 
                 diffc            = 0.11e-4
-                !
-                !-- overwrite with known coefficients of diffusivity from Massman (1998)
+!
+!--             overwrite with known coefficients of diffusivity from Massman (1998)
                 IF ( spc_names(lsp) == 'NO2' ) diffc = 0.136e-4 
                 IF ( spc_names(lsp) == 'NO'  ) diffc = 0.199e-4
@@ -4237,22 +4059,17 @@
                 IF ( spc_names(lsp) == 'CH4' ) diffc = 0.191e-4
                 IF ( spc_names(lsp) == 'NH3' ) diffc = 0.191e-4
-
-
-                !
-                !-- Get quasi-laminar boundary layer resistance Rb:
-                CALL get_rb_cell( (lug_dep == ilu_water_sea) .OR. (lug_dep == ilu_water_inland), &
+!
+!--             Get quasi-laminar boundary layer resistance Rb:
+                CALL get_rb_cell( (lug_dep == ilu_water_sea) .OR. (lug_dep == ilu_water_inland),    &
                      z0h_lu, ustar_lu, diffc, &
                      Rb )
-
-
-                !
-                !-- Get Rc_tot
-                CALL drydepos_gas_depac( spc_names(lsp), day_of_year, latitude, ts, ustar_lu, glrad, cos_zenith, &
-                     relh, lai, sai, nwet, lug_dep, 2, Rc_tot, ccomp_tot(lsp), hyp(nzb), catm, diffc, &
-                     r_aero_lu , Rb )
-
-
-                !
-                !-- Calculate budget
+!
+!--             Get Rc_tot
+                CALL drydepos_gas_depac( spc_names(lsp), day_of_year, latitude, ts, ustar_lu,        &
+                                         glrad, cos_zenith, relh, lai, sai, nwet, lug_dep, 2,        &
+                                         rc_tot, ccomp_tot(lsp), hyp(nzb), catm, diffc,              &
+                                         r_aero_lu , Rb )
+!
+!--             Calculate budget
                 IF ( Rc_tot <= 0.0 )  THEN
 
@@ -4267,27 +4084,21 @@
                 ENDIF
 
-
              ENDIF
           ENDDO
        ENDIF
-
-
-       !
-       !-- Windows
+!
+!--    Windows
        IF ( surf_usm_h%frac(ind_wat_win,m) > 0 )  THEN
-
-
-          !
-          !-- No vegetation on windows:
+!
+!--       No vegetation on windows:
           lai = 0.0_wp
           sai = 0.0_wp
 
           slinnfac = 1.0_wp
-
-          !
-          !-- Get vd
+!
+!--       Get vd
           DO  lsp = 1, nvar
-             !
-             !-- Initialize
+!
+!--          Initialize
              vs = 0.0_wp
              vd_lu = 0.0_wp
@@ -4297,6 +4108,6 @@
              IF ( spc_names(lsp) == 'PM10' )  THEN
                 part_type = 1
-                !
-                !-- Sedimentation velocity
+!
+!--             Sedimentation velocity
                 vs = slinnfac * sedimentation_velocity( particle_pars(ind_p_dens, part_type), &
                      particle_pars(ind_p_size, part_type), &
@@ -4304,6 +4115,23 @@
                      visc)
 
-                CALL drydepo_aero_zhang_vd( vd_lu, Rs, &
-                     vs, &
+                CALL drydepo_aero_zhang_vd( vd_lu, rs, vs, &
+                     particle_pars(ind_p_size, part_type), &
+                     particle_pars(ind_p_slip, part_type), &
+                     nwet, ttemp, dens, visc,              &
+                     lud_dep, r_aero_lu, ustar_lu )
+
+                bud_now_lud(lsp) = - cc(lsp) * &
+                     (1.0_wp - exp(-vd_lu * dt_dh )) * dh
+
+             ELSEIF ( spc_names(lsp) == 'PM25' )  THEN
+                part_type = 2
+!
+!--             Sedimentation velocity
+                vs = slinnfac * sedimentation_velocity( particle_pars(ind_p_dens, part_type), &
+                     particle_pars(ind_p_size, part_type), &
+                     particle_pars(ind_p_slip, part_type), &
+                     visc)
+
+                CALL drydepo_aero_zhang_vd( vd_lu, rs, vs, &
                      particle_pars(ind_p_size, part_type), &
                      particle_pars(ind_p_slip, part_type), &
@@ -4315,31 +4143,7 @@
                      (1.0_wp - exp(-vd_lu * dt_dh )) * dh
 
-
-             ELSEIF ( spc_names(lsp) == 'PM25' )  THEN
-                part_type = 2
-                !
-                !-- Sedimentation velocity
-                vs = slinnfac * sedimentation_velocity( particle_pars(ind_p_dens, part_type), &
-                     particle_pars(ind_p_size, part_type), &
-                     particle_pars(ind_p_slip, part_type), &
-                     visc)
-
-
-                CALL drydepo_aero_zhang_vd( vd_lu, Rs, &
-                     vs, &
-                     particle_pars(ind_p_size, part_type), &
-                     particle_pars(ind_p_slip, part_type), &
-                     nwet, ttemp, dens, visc, &
-                     lud_dep, &
-                     r_aero_lu, ustar_lu )
-
-                bud_now_lud(lsp) = - cc(lsp) * &
-                     (1.0_wp - exp(-vd_lu * dt_dh )) * dh
-
-
              ELSE  !< GASES
-
-                !
-                !-- Read spc_name of current species for gas PARAMETER
+!
+!--             Read spc_name of current species for gas PARAMETER
 
                 IF ( ANY( pspecnames(:) == spc_names(lsp) ) )  THEN
